@charset "utf-8";

.box{
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
}
.flex1{
	-webkit-box-flex: 1;
	-webkit-flex: 1;
	-moz-box-flex: 1;
	-ms-flex: 1;
	flex: 1;
}
.flex2{
	-webkit-box-flex: 2;
	-webkit-flex: 2;
	-moz-box-flex: 2;
	-ms-flex: 2;
	flex: 2;
}
.flex3{
	-webkit-box-flex: 3;
	-webkit-flex: 3;
	-moz-box-flex: 3;
	-ms-flex: 3;
	flex: 3;
}
.flex10{
	-webkit-box-flex: 10;
	-webkit-flex: 10;
	-moz-box-flex: 10;
	-ms-flex: 10;
	flex: 10;
}
.flex7{
	-webkit-box-flex: 7;
	-webkit-flex: 7;
	-moz-box-flex: 7;
	-ms-flex: 7;
	flex: 7;
}
.box_column{
	-webkit-box-orient: vertical;
	-webkit-flex-direction: column;
	-moz-box-orient: vertical;
	-ms-flex-direction: column;
	flex-direction: column;
}
.box_start{
	-webkit-box-align:start;	
	-moz-box-align: start;
	-ms-flex-align: start;
	-webkit-align-items:flex-start;
	align-items: flex-start;
}
.bottom{
	-webkit-box-align:end;	
	-moz-box-align: end;
	-ms-flex-align: end;
	-webkit-align-items:flex-end;
	align-items: flex-end;
}
/*垂直居中*/
.center{
	-webkit-box-align:center;	
	-moz-box-align: center;
	-ms-flex-align: center;
	-webkit-align-items:center;
	align-items: center;
}

/*水平居中*/
.horizontal{
	-webkit-box-pack: center; 
	  -moz-box-pack: center; 
	  /*混合版本语法*/
	  -ms-flex-pack: center; 
	  /*新版本语法*/
	  -webkit-justify-content: center;
	  justify-content: center;
}

.box_column.center{
	-webkit-box-pack: center; 
	  -moz-box-pack: center; 
	  /*混合版本语法*/
	  -ms-flex-pack: center; 
	  /*新版本语法*/
	  -webkit-justify-content: center;
	  justify-content: center;
}
.box_column.bottom{
	-webkit-box-pack: end; 
	  -moz-box-pack: end; 
	  /*混合版本语法*/
	  -ms-flex-pack: end; 
	  /*新版本语法*/
	  -webkit-justify-content: flex-end;
	  justify-content: flex-end;
}
.box_column.horizontal{
	-webkit-box-align:center;	
	-moz-box-align: center;
	-ms-flex-align: center;
	-webkit-align-items:center;
	align-items: center;
}
.justify{
	
	-webkit-box-pack: justify; 
	  -moz-box-pack: justify; 
	  /*混合版本语法*/
	  -ms-flex-pack: justify; 
	  /*新版本语法*/
	  -webkit-justify-content: space-between;
	  justify-content: space-between;

}
.around{
	-webkit-justify-content: space-around;
	justify-content: space-around;
}